import requests
url = "https://{FUSION HOST}/api/query-rewrite/schema"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [
{}
],
"hints": [
"<string>"
],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
],
"required": [
"<string>"
],
"title": "<string>",
"unsafe": true
}Get the JSON schema
Get the JSON schema for query rewrite objects.
import requests
url = "https://{FUSION HOST}/api/query-rewrite/schema"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [
{}
],
"hints": [
"<string>"
],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
],
"required": [
"<string>"
],
"title": "<string>",
"unsafe": true
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The app to which this object belongs, as app:SomeApp. If the app doesn't exist, the request fails. Other comma-separated contexts in the context parameter are allowed but ignored.
Response
OK
Represents a structured object type definition used in the Experience Manager.
Additional properties that may be included in this object.
The category classification of this object type.
Defines the priority of this object type within its category.
Default values for this object type, if applicable.
A collection of definitions related to this object type.
Show child attributes
Show child attributes
A human-readable description of the object type. This value is shown in the field's tooltip in the Rules Editor.
A list of valid enumeration values for this object type.
A collection of hints or suggestions related to this object type.
The maximum number of properties allowed for this object.
The minimum number of properties required for this object.
Defines a set of possible types that this object can be.
Show child attributes
Show child attributes
A list of properties defined for this object type.
Show child attributes
Show child attributes
A collection of related property groups for this object type.
Show child attributes
Show child attributes
A list of required properties for this object type.
The user-friendly title of this object type.
Defines the primary data type of this object.
array, boolean, integer, null, number, object, ref, string Indicates whether this object type is considered unsafe.
Was this page helpful?